Package wx :: Module aui :: Class AuiToolBarEvent

[frames | no frames]

## Type AuiToolBarEvent

    object --+
             |
        Object --+
                 |
             Event --+
                     |
          CommandEvent --+
                         |
               NotifyEvent --+
                             |
                            AuiToolBarEvent

Proxy of C++ AuiToolBarEvent class

Method Summary
NotifyEvent | ``__init__`(self, commandType, winid)` An instance of this class (or one of its derived classes) is sent from a control when the control's state is being changed and the control allows that change to be prevented from happening.
Point | `GetClickPoint(self)`
Rect | `GetItemRect(self)`
int | `GetToolId(self)`
bool | `IsDropDownClicked(self)`
| `SetClickPoint(self, p)`
| `SetDropDownClicked(self, c)`
| `SetItemRect(self, r)`
| `SetToolId(self, id)`

Property Summary
| `thisown`: The membership flag

Method Details

### __init__(self, command_type=wxEVT_NULL, win_id=0)
(Constructor)

An instance of this class (or one of its derived classes) is sent from a control when the control's state is being changed and the control allows that change to be prevented from happening. The event handler can call `Veto` or `Allow` to tell the control what to do.

  Parameters:
    `commandType`
    (type=EventType)

    `winid`
    (type=int)

  Returns:
    NotifyEvent
  Overrides:
    `wx.NotifyEvent.__init__` (inherited documentation)

Property Details

### thisown

The membership flag

  Get Method:
    unknown-25231920(...)
  Set Method:
    unknown-25232040(...)

Generated by Epydoc 2.1.20050511.rpd on Mon Feb 16 12:52:31 2009 | http://epydoc.sf.net